Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Browser session ID

Body

application/json
framerate
integer

Recording framerate in fps. Values above 20 require GPU to be enabled on the browser session.

Required range: 1 <= x <= 60
max_duration_in_seconds
integer

Maximum recording duration in seconds.

Required range: x >= 1

Response

Recording started successfully.

Information about a browser replay recording.

replay_id
string
required

Unique identifier for the replay recording.

started_at
string<date-time> | null

Timestamp when replay started

finished_at
string<date-time> | null

Timestamp when replay finished

replay_view_url
string

URL for viewing the replay recording.

Example:

"https://api.onkernel.com/browser/replays?jwt=eyJ0eXAi...&replay_id=7e2c1a9f-1234-4cde-9abc-ffeedd001122"